@font-face {
  font-family: "Avenir-Roman";
  src: url("../files/fonts/avenir_roman.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

:root {
  --bs-root-font-size: 16px;
  --bs-body-font-family: Avenir-Roman, sans-serif;
}

#outerframeContainer {
  hyphens: none;
  overflow-wrap: break-word;
}

/* header */
#survey-nav {
  background-color: var(--header-background-color);
  border-bottom: 1px solid #DFDFDF;
}
.nav-link {
  color: var(--header-text-color) !important;
}
.gw-survey-nav {
  width: 100%;
  display: grid;
  gap: 20px;
  grid-template-columns: 1fr auto 1fr;
}
.gw-survey-nav > .navbar-toggler {
  grid-area: 1 / 1;
  place-self: start;
  margin: 10px;
  background-color: var(--header-text-color);
}
.gw-survey-nav > .navbar-brand {
  grid-area: 1 / 2;
  color: var(--header-text-color) !important;
  display: flex;
  align-items: center;
  text-align: center;
}
#navbar {
  grid-area: 1 / 3;
}

/* Group title */
.group-title {
  font-weight: bold;
}

/* welcome footer */
.gw-welcome-footer {
  background-color: var(--header-background-color);
  border-top: 1px solid #DFDFDF;
  min-height: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--header-text-color);
}
.gw-welcome-footer > div {
  text-align: center;
}
.gw-welcome-footer a {
  color: var(--header-text-color);
}

/* survey footer */
.gw-survey-footer {
  background-color: var(--header-background-color);
  border-top: 1px solid #DFDFDF;
  min-height: 3rem;
  display: grid;
  grid-template-columns: 50%;
  grid-auto-columns: 1fr;
  grid-auto-flow: column;
  gap: 1rem;
  align-items: center;
}
.progress-bar {
  background-color: var(--brand-color);
  color: var(--brand-text-color);
}
.gw-navigator-button {
  padding: 0.5rem 0;
  place-self: center;
}

/* content */
.outerframe {
  max-width: 1080px;
  margin: 0 auto;
}

/* welcome page */
.survey-welcome {
  margin: 2em 0;
}
.gw-start {
  text-align: center;
}

/* all question types */
.question-container {
  border: none;
  background: none;
}
.ls-label-question {
  font-size: 1.75rem;
}
.ls-question-mandatory {
  margin-left: calc(1.5rem + var(--bs-gutter-x));
}
.ls-softmandatory-input {
  margin-left: calc(1.5rem + var(--bs-gutter-x));
}
.question-number {
  min-width: calc(1.5rem + var(--bs-gutter-x));
  font-size: 1rem;
  margin: 0.75rem 0 0 0;
}
@media (max-width: 1080px) {
  .ls-label-question {
    font-size: 1rem;
  }
  .question-number {
    font-size: 0.70rem;
    margin: 0.30rem 0 0 0;
  }
}

/* question help */
.question-help-container {
  margin-left: calc(1.5rem + var(--bs-gutter-x));
}
.ls-questionhelp {
  margin-left: 0 !important;
  color: #000;
}
.ls-questionhelp:before {
  display: none;
}
.ls-question-message {
  margin-left: calc(1.5rem + var(--bs-gutter-x));
  color: #000;
}
.fa-asterisk {
  font-size: 1rem;
}

/* ranking */
.answers-lists {
  margin: 0 var(--bs-gutter-x) 0 calc(1.5rem + var(--bs-gutter-x));
}
.list-group-item {
  border-color: var(--brand-color);
}

/* long text */
.text-item {
  margin: 0 var(--bs-gutter-x) 0 calc(1.5rem + var(--bs-gutter-x));
}
.text-item textarea {
  border-color: var(--brand-color);
}

/* tables */
.ls-table-wrapper {
  margin: 0 var(--bs-gutter-x) 0 calc(1.5rem + var(--bs-gutter-x));
}
.table > :not(:first-child) {
  border-top: none;
}
.radio-item label::after {
  background-color: var(--brand-color) !important;
}
.radio-item input[type="radio"]:focus + label::before {
  outline: none;
}

/* button */
.btn.btn-primary:active,
.bootstrap-buttons-div .btn-check:checked + label.btn.btn-primary,
.bootstrap-buttons-div .btn-check:active + label.btn.btn-primary,
.bootstrap-buttons-div label.btn.btn-primary:active,
.bootstrap-buttons-div label.btn.btn-primary.active {
  background-color: var(--brand-color);
  border-color: var(--brand-color);
  color: var(--brand-text-color);
}
.btn.btn-primary,
.bootstrap-buttons-div label.btn.btn-primary {
  background-color: var(--bs-body-bg);
  border-color: var(--brand-color);
  color: inherit;
}
.btn.btn-primary:hover,
.bootstrap-buttons-div label.btn.btn-primary:hover,
.bootstrap-buttons-div label.btn.btn-primary:focus {
  background-color: var(--brand-color);
  border-color: var(--brand-color);
  color: var(--brand-text-color);
}
label::after {
  background-color: var(--brand-color);
}

/* horizontal scale */
.horizontal-scale-20260429 {
  display: grid;
  grid-template-rows: auto auto;
  grid-auto-columns: minmax(0, 1fr);
  padding-left: 0;
  margin: 0 var(--bs-gutter-x) 0 calc(1.5rem + var(--bs-gutter-x));
  counter-reset: scale;
}
.horizontal-scale-20260429 .answer-item {
  grid-row: 1 / 3;
  display: grid;
  grid-template-rows: subgrid;
  padding: 0;
  margin: 0 !important;
  counter-increment: scale;
}
.horizontal-scale-20260429 .answer-item::before {
  grid-area: 1 / 1;
  pointer-events: none;
  content: counter(scale);
  text-align: center;
  padding: .375rem .75rem;
  font-size: 1rem;
  border-top: 1px solid var(--brand-color);
  border-right: 1px solid var(--brand-color);
  border-bottom: 1px solid var(--brand-color);
}
.horizontal-scale-20260429 .answer-item:has(.radio-label:hover)::before {
  background-color: var(--brand-color);
  color: var(--brand-text-color);
}
.horizontal-scale-20260429 .answer-item:has(input[type="radio"]:checked)::before {
  background-color: var(--brand-color);
  color: var(--brand-text-color);
}
.horizontal-scale-20260429 .answer-item:first-child::before {
  border-top-left-radius: .25rem;
  border-bottom-left-radius: .25rem;
  border-left: 1px solid var(--brand-color);
}
.horizontal-scale-20260429 .answer-item:last-child::before {
  border-top-right-radius: .25rem;
  border-bottom-right-radius: .25rem;
}
.horizontal-scale-20260429 input[type="radio"] {
  position: absolute;
  opacity: 0;
  width: 1px;
  height: 1px;
  margin: 0;
  pointer-events: none;
}
.horizontal-scale-20260429 .radio-label {
  grid-area: 1 / 1 / 3 / 2;
  text-align: center;
  cursor: pointer;
  padding: calc(2 * .375rem + 2 * 1px + 1.5 * 1rem + .75rem) .75rem .375rem .75rem;
  user-select: none;
  border-left: none;
}
.horizontal-scale-20260429 .radio-label::before, .horizontal-scale-20260429 .radio-label::after {
  display: none !important;
  content: none !important;
}
